org.apache.log4j.chainsaw

## Class LoggingEventWrapper

- java.lang.Object
- - org.apache.log4j.chainsaw.LoggingEventWrapper

-     public class LoggingEventWrapper
      extends Object

  Wrap access to a LoggingEvent. All property updates need to go through this object and not through the wrapped logging event, since the properties are shared by two views of the same backing LoggingEvent, and loggingEvent itself creates a copy of passed-in properties.. Property reads can be made on the actual LoggingEvent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingEventWrapper(org.apache.log4j.spi.LoggingEvent loggingEvent)`
    `LoggingEventWrapper(LoggingEventWrapper loggingEventWrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `void` | `evaluateSearchRule(org.apache.log4j.rule.Rule searchRule)`
    `Color` | `getBackground()`
    `Color` | `getColorRuleBackground()`
    `Color` | `getColorRuleForeground()`
    `Color` | `getForeground()`
    `org.apache.log4j.spi.LoggingEvent` | `getLoggingEvent()`
    `int` | `getMarkerHeight()`
    `int` | `getMsgHeight()`
    `Set` | `getPropertyKeySet()`
    `Map` | `getSearchMatches()`
    `int` | `hashCode()`
    `boolean` | `isDisplayed()`
    `boolean` | `isSearchMatch()`
    `Object` | `removeProperty(String propName)`
    `void` | `setDisplayed(boolean b)`
    `void` | `setMarkerHeight(int markerHeight)`
    `void` | `setMsgHeight(int msgHeight)`
    `void` | `setPreviousDisplayedEventTimestamp(long previousDisplayedEventTimeStamp)`
    `void` | `setProperty(String propName, String propValue)`
    `String` | `toString()`
    `void` | `updateColorRuleColors(Color backgroundColor, Color foregroundColor)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingEventWrapper

          public LoggingEventWrapper(org.apache.log4j.spi.LoggingEvent loggingEvent)

    - #### LoggingEventWrapper

          public LoggingEventWrapper(LoggingEventWrapper loggingEventWrapper)

  - ### Method Detail

    - #### getLoggingEvent

          public org.apache.log4j.spi.LoggingEvent getLoggingEvent()

    - #### setProperty

          public void setProperty(String propName,
                                  String propValue)

    - #### removeProperty

          public Object removeProperty(String propName)

    - #### getPropertyKeySet

          public Set getPropertyKeySet()

    - #### updateColorRuleColors

          public void updateColorRuleColors(Color backgroundColor,
                                            Color foregroundColor)

    - #### evaluateSearchRule

          public void evaluateSearchRule(org.apache.log4j.rule.Rule searchRule)

    - #### getSearchMatches

          public Map getSearchMatches()

    - #### getForeground

          public Color getForeground()

    - #### getBackground

          public Color getBackground()

    - #### getColorRuleBackground

          public Color getColorRuleBackground()

    - #### getColorRuleForeground

          public Color getColorRuleForeground()

    - #### isSearchMatch

          public boolean isSearchMatch()

    - #### setMarkerHeight

          public void setMarkerHeight(int markerHeight)

    - #### getMarkerHeight

          public int getMarkerHeight()

    - #### setMsgHeight

          public void setMsgHeight(int msgHeight)

    - #### getMsgHeight

          public int getMsgHeight()

    - #### setDisplayed

          public void setDisplayed(boolean b)

    - #### setPreviousDisplayedEventTimestamp

          public void setPreviousDisplayedEventTimestamp(long previousDisplayedEventTimeStamp)

    - #### isDisplayed

          public boolean isDisplayed()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.